

import java.util.ArrayList;
import java.util.Collection;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;

@Entity
public class Student {
    @Id private int id;

    private String name;

    @OneToMany(mappedBy="student")
    private Collection<ProjectAssignment> assignments;

    public Student() {
        assignments = new ArrayList<ProjectAssignment>();
    }
    
    public int getId() {
        return id;
    }
    
    public void setId(int id) {
        this.id = id;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public Collection<ProjectAssignment> getAssignments() {
        return assignments;
    }

    public String toString() {
        return "Student id: " + getId() + " name: " + getName();
    }
}
